unit VM8095Dmo;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, ComCtrls, Buttons;

type
  TForm1 = class(TForm)
    Button1: TButton;
    GroupBox1: TGroupBox;
    Button3: TButton;
    Button4: TButton;
    Button5: TButton;
    Button8: TButton;
    Button9: TButton;
    Button2: TButton;
    GroupBox2: TGroupBox;
    Button12: TButton;
    Button13: TButton;
    Button14: TButton;
    Button15: TButton;
    Button16: TButton;
    Button17: TButton;
    Button18: TButton;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    Label1: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure Button3Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button8Click(Sender: TObject);
    procedure Button9Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button12Click(Sender: TObject);
    procedure Button13Click(Sender: TObject);
    procedure Button14Click(Sender: TObject);
    procedure Button15Click(Sender: TObject);
    procedure Button16Click(Sender: TObject);
    procedure Button17Click(Sender: TObject);
    procedure Button18Click(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);

  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  MemoryImage: array[0..66000] of byte;
  ReadImage: array[0..66000] of byte;
  table: array[0..7] of integer;
  MaxAddress: integer;
  timed: boolean;
implementation

{$R *.DFM}

function  OpenDevice: integer; stdcall; external 'VM8095D.dll';
procedure CloseDevice; stdcall; external 'VM8095D.dll';
function  SendButtonCommand(command: integer): integer; stdcall; external 'VM8095D.dll';
function  IsRunning: integer; stdcall; external 'VM8095D.dll';
function  PlayMusic: integer; stdcall; external 'VM8095D.dll';


procedure TForm1.Button1Click(Sender: TObject);
var tmp:integer;
begin
  Button2.enabled:=false;
  Button3.enabled:=false;
  Button4.enabled:=false;
  Button5.enabled:=false;
  BitBtn1.enabled:=false;
  BitBtn2.enabled:=false;
  Button8.enabled:=false;
  Button9.enabled:=false;
  Button12.enabled:=false;
  Button13.enabled:=false;
  Button14.enabled:=false;
  Button15.enabled:=false;
  Button16.enabled:=false;
  Button17.enabled:=false;
  Button18.enabled:=false;
  
  tmp:=OpenDevice;
  case tmp of
    1: begin
            Label1.Caption:='VM8095 connected';
            if IsRunning=1 then
            begin
              Label1.Caption:='VM8095 is in play mode.';
              Button3.enabled:=true;
              Button4.enabled:=true;
              Button5.enabled:=true;
              BitBtn1.enabled:=true;
              BitBtn2.enabled:=true;
              Button8.enabled:=true;
              Button9.enabled:=true;
              Button12.enabled:=true;
              Button13.enabled:=true;
              Button14.enabled:=true;
              Button15.enabled:=true;
              Button16.enabled:=true;
              Button17.enabled:=true;
              Button18.enabled:=true;
            end
            else
            begin
              Button2.enabled:=true;
            end;
        end;
    -1: Label1.Caption:='VM8095 Card not found.';
  end;   
end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  CloseDevice;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  SendButtonCommand(1);
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
  SendButtonCommand(2);
end;

procedure TForm1.Button5Click(Sender: TObject);
begin
  SendButtonCommand(3);
end;

procedure TForm1.Button8Click(Sender: TObject);
begin
  SendButtonCommand(7);
end;

procedure TForm1.Button9Click(Sender: TObject);
begin
  SendButtonCommand(6);
end;

procedure TForm1.Button2Click(Sender: TObject);
var i,tmp,tmp1:integer;
s:string;
begin
  tmp1:=PlayMusic;
  if tmp1=1 then
  begin
    Button2.enabled:=false;
    Button3.enabled:=true;
    Button4.enabled:=true;
    Button5.enabled:=true;
    BitBtn1.enabled:=true;
    BitBtn2.enabled:=true;
    Button8.enabled:=true;
    Button9.enabled:=true;
    Button12.enabled:=true;
    Button13.enabled:=true;
    Button14.enabled:=true;
    Button15.enabled:=true;
    Button16.enabled:=true;
    Button17.enabled:=true;
    Button18.enabled:=true;
  end;
end;

procedure TForm1.Button12Click(Sender: TObject);
begin
  SendButtonCommand(8);
end;

procedure TForm1.Button13Click(Sender: TObject);
begin
  SendButtonCommand(9);
end;

procedure TForm1.Button14Click(Sender: TObject);
begin
  SendButtonCommand(10);
end;

procedure TForm1.Button15Click(Sender: TObject);
begin
  SendButtonCommand(11);
end;

procedure TForm1.Button16Click(Sender: TObject);
begin
  SendButtonCommand(12);
end;

procedure TForm1.Button17Click(Sender: TObject);
begin
  SendButtonCommand(13);
end;

procedure TForm1.Button18Click(Sender: TObject);
begin
  SendButtonCommand(14);
end;

procedure TForm1.BitBtn1Click(Sender: TObject);
begin
  SendButtonCommand(4);
end;

procedure TForm1.BitBtn2Click(Sender: TObject);
begin
  SendButtonCommand(5);
end;

end.
